# README for JAVASCRIPTHTTP
Version v1.1

## INTRODUCTION
This small package adds commands for LaTeX to create buttons with which to fetch content from the internet. The content can be transformed and displayed in textfields. For these interactive elements to work, a PDF using the commands provided by this package must be opened in Acrobat Pro. 

This packages requires the acrotex macro.

## PREREQUISITES

To install acrotex, you need to add the tlcontrib repository to your installation:

```
tlmgr repository add https://mirror.ctan.org/systems/texlive/tlcontrib tlcontrib

tlmgr pinning add tlcontrib "*"

# Then install the package
tlmgr install acrotex
```

## USAGE

Here is a quick overview of the commands and their parameters. For further details and examples please read the package documentation.

* SimpleGET, send a GET request:
    ```tex
    \SimpleGET{unique identifier}{label}{URL}{keypath}[target]
    ```

* SimplePOST, send a POST request:
    ```tex
    \SimplePOST{id}{label}{URL}{keypath}{factory}{errors}[target]
    ```

* SimpleTextField, adds a writeable textfield to your document:
    ```tex
    \SimpleTextfield{unique identifier}
    ```

* SimpleTextFieldReadoly, adds a readonly textfield that can be updated through javascript:
    ```tex
    \SimpleTextfieldReadonly{unique identifier}
    ```

* Errorfield, adds a field to your document that displays any errors that occur:
    ```tex
    \Errorfield
    ```


## AUTHOR

* Cedric V. Zwahlen (cedric-vince@gmx.ch)

## LICENSE

LATEX Project Public License, version 1.3c or later.


